Custom OAuth profiles

このページは機械翻訳により提供されています。翻訳内容と英語版に相違がある場合は、英語版が優先されます。

顧客に割り当てられたCustom OAuth profilesを管理するには、次のエンドポイントを使用します。

レート制限

Custom OAuth profileリソースには、次のレート制限があります:

タイプリソース制限
すべてすべてのCustom OAuth profilesエンドポイント1分あたり60リクエスト

クイックリファレンス

タイプリソース説明
POST/api/managed_users/:managed_user_id/
custom_oauth_profiles/:id/assign
Custom OAuth profileを顧客ワークスペースに割り当てます
DELETE/api/managed_users/:managed_user_id/
custom_oauth_profiles/:id/unassign
Custom OAuth profileを顧客ワークスペースから割り当て解除します。

Custom OAuth profileの割り当て

Custom OAuth profileを顧客ワークスペースに割り当てます。

POST /api/managed_users/:managed_user_id/custom_oauth_profiles/:id/assign

URLパラメーター

名前タイプ説明
managed_user_idstring
必須
Embedded顧客ID/外部ID。
外部IDにはEのプレフィックスを付ける必要があり(例: EA2300)、結果のIDはURLエンコードする必要があります。
idinteger
required
顧客ワークスペースに割り当てる予定の、Embeddedパートナーワークスペース内のCustom OAuth profileのID。

サンプルリクエスト

shell
curl  -X POST 'https://www.workato.com/api/managed_users/123/custom_oauth_profiles/322/assign' \
      -H 'Authorization: Bearer <api_token>' \
      -H 'Content-Type: application/json' \

レスポンス

json
{
  "result": {
    "success": true
  }
}

Custom OAuth profileの割り当て解除

顧客ワークスペースからCustom OAuth profileの割り当てを解除します。

DELETE /api/managed_users/:managed_user_id/custom_oauth_profiles/:id/unassign

URLパラメーター

名前タイプ説明
managed_user_idstring
必須
Embedded顧客ID/外部ID。
外部IDにはEのプレフィックスを付ける必要があり(例: EA2300)、結果のIDはURLエンコードする必要があります。
idinteger
required
顧客ワークスペースに割り当てるEmbeddedパートナーワークスペース内のCustom OAuth profileのID。

クエリパラメーター

名前タイプ説明
forcebooleantrueの場合、Custom OAuth profileが顧客ワークスペースで使用されていても、割り当てを解除します。 デフォルトはfalseです。

サンプルリクエスト

shell
curl  -X DELETE 'https://www.workato.com/api/managed_users/123/custom_oauth_profiles/322/unassign' \
      -H 'Authorization: Bearer <api_token>' \
      -H 'Content-Type: application/json' \

レスポンス

json
{
  "result": {
    "success": true
  }
}

Last updated: